package com.usky.sas.common.dahua;

public class RemoteDeviceInfo {
    private String note;
    private String ipAddr;
    private Integer channel;

    public RemoteDeviceInfo() {
    }

    public String getNote() {
        return this.note;
    }

    public String getIpAddr() {
        return this.ipAddr;
    }

    public Integer getChannel() {
        return this.channel;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public void setIpAddr(String ipAddr) {
        this.ipAddr = ipAddr;
    }

    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof RemoteDeviceInfo)) {
            return false;
        } else {
            RemoteDeviceInfo other = (RemoteDeviceInfo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$note = this.getNote();
                Object other$note = other.getNote();
                if (this$note == null) {
                    if (other$note != null) {
                        return false;
                    }
                } else if (!this$note.equals(other$note)) {
                    return false;
                }

                Object this$ipAddr = this.getIpAddr();
                Object other$ipAddr = other.getIpAddr();
                if (this$ipAddr == null) {
                    if (other$ipAddr != null) {
                        return false;
                    }
                } else if (!this$ipAddr.equals(other$ipAddr)) {
                    return false;
                }

                Object this$channel = this.getChannel();
                Object other$channel = other.getChannel();
                if (this$channel == null) {
                    if (other$channel != null) {
                        return false;
                    }
                } else if (!this$channel.equals(other$channel)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof RemoteDeviceInfo;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $note = this.getNote();
        result = result * 59 + ($note == null ? 43 : $note.hashCode());
        Object $ipAddr = this.getIpAddr();
        result = result * 59 + ($ipAddr == null ? 43 : $ipAddr.hashCode());
        Object $channel = this.getChannel();
        result = result * 59 + ($channel == null ? 43 : $channel.hashCode());
        return result;
    }

    public String toString() {
        return "RemoteDeviceInfo(note=" + this.getNote() + ", ipAddr=" + this.getIpAddr() + ", channel=" + this.getChannel() + ")";
    }
}
